package sharin.doc.builder.xhtml1;

public class CaptionElem extends GenericCommonElem<CaptionElem> {

    public CaptionElem(Object... nodes) {
        super("caption", nodes);
    }

    public CaptionElem align(Object value) {
        return attr("align", value);
    }

    public CaptionElem alignBottom() {
        return align("bottom");
    }

    public CaptionElem alignLeft() {
        return align("left");
    }

    public CaptionElem alignRight() {
        return align("right");
    }

    public CaptionElem alignTop() {
        return align("top");
    }
}
